package com.jw.app.business.portlet;

import java.util.List;
import java.util.Map;

import org.apache.ibatis.session.RowBounds;

import com.gaowj.business.exception.BusinessException;

public interface PortletDAO {
    List<Map<String,Object>> list_portlet_template_user(Map<String,Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_template(Map<String,Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_columns(Map<String,Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_portlet_content(Map<String,Object> query) throws BusinessException ;
    
    List<Map<String,Object>> list_app_acount(Map<String,Object> query) throws BusinessException ;
    
    void delete_portlet_template_user(Map<String,Object> query) throws BusinessException ;
    
    void insert_portlet_template_user(List<Map<String,Object>> entity) throws BusinessException ;
}
